# vim: set ft=spec: -*- rpm-spec -*-
# $Id: aptitude,v 1.1 2003/10/11 16:25:14 raorn Exp $

Name: aptitude
Version: 0.2.13
Release: alt2.1

Summary: Curses-based apt frontend
Summary(ru_RU.KOI8-R):  APT    
Group: System/Configuration/Packaging
License: GPL
Url: http://www.debian.org/Packages/unstable/admin/%name.html
Packager: Sir Raorn <raorn@altlinux.ru>

Source: ftp://ftp.debian.org/debian/pool/main/a/%name/%{name}_%version.orig.tar.gz
Patch1: %name-0.2.13-cnc-alt-rpm-apt.patch
Patch2: %name-0.2.13-alt-default-group-policy.patch
Patch3: %name-0.2.13-alt-makefile-fixes.patch

Requires: %{get_dep rpm}, %{get_dep libapt}

BuildPreReq: libapt-devel >= 0.5.15cnc5-alt1

# Automatically added by buildreq on Sat Oct 11 2003 (-bi)
BuildRequires: gcc-c++ libncurses-devel libsigc++1.2-devel libstdc++-devel pkgconfig

%description
Aptitude is a curses-based apt frontend with a number of useful extended
features, including a mutt-like syntax for matching packages in a flexible
and extreme flexibility and customization.

Despite the version number, %name is quite usable; it does almost everything
that dselect and console-apt do, and has its own extra features as well.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix gettextization.
if [ ! -s po/LINGUAS ]; then
	%__sed -ne 's/^ALL_LINGUAS="\([^"]*\)"$/\1/p' configure.in >>po/LINGUAS
	%__subst 's/^\(ALL_LINGUAS=\)/#\1/g' configure
fi

%build
%add_optflags -fno-exceptions
%configure --disable-werror
%make_build

%install
%__mkdir_p %buildroot%_localstatedir/%name
%__install -pD -m755 src/%name %buildroot%_bindir/%name
%__install -pD -m644 help.txt %buildroot%_datadir/%name/help.txt
%__install -pD -m644 src/mine/mine-help.txt %buildroot%_datadir/%name/help.txt
%__install -pD -m644 %name.1 %buildroot%_man1dir/%name.1
%__install -pD -m644 aptitude-defaults %buildroot%_datadir/%name/aptitude-defaults

%make_install install -C po DESTDIR=%buildroot
%find_lang %name

%files
%doc AUTHORS ChangeLog INSTALL NEWS README TODO %name-hackers-guide.txt src/generic/README.hier
%_bindir/*
%_datadir/%name
%_man1dir/*
%_localstatedir/*

%changelog
* Thu May 13 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.13-alt2.1
- Rebuilt with libapt-0.5.15cnc6-alt1.

* Fri Jan 16 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.13-alt2
- Updated rpm-apt patch.
- Fixed build.
- Rebuilt with apt-0.5.15cnc5.

* Sat Oct 11 2003 Sir Raorn <raorn@altlinux.ru> 0.2.13-alt1
- New maintainer
- [0.2.13]
- Removed patches:
  + alt-gcc3
- Updated patches:
  + alt-cnc-apt-rpm (was: cnc-rpm)
- Default package grouping policy set to
  "filter(missing),status,section(none,nopassthrough)"
- Updated buildreqs

* Wed Dec 04 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.11.1-alt1
- Updated to aptitude-0.2.11.1-2cl.

* Wed Sep 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2.8-alt3
- rebuld with gcc3

* Wed Mar 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.2.8-alt2
- Added librpm-4.0.4 build support.
- Built with librpm-4.0.4, updated buildrequires.

* Fri Mar 22 2002 Rider <rider@altlinux.ru> 0.2.8-alt1
- 0.2.8 with Conectiva patches.

* Tue Nov 06 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.0.7.13-ipl11mdk
- Initial build with rpm4.

* Thu Aug 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl10mdk
- Corrected requires and buildrequires lists.
- Reworked compilation options again: we add only '-fno-exceptions' now.

* Wed Aug 08 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.7.13-ipl9mdk
- Added %%optflags_nocpp to compilation options.
- Rebuilt with apt-0.3.19cnc52-alt2, corrected apt requires.

* Thu Jul 26 2001 Alexander Bokovoy <ab@altlinux.ru> 0.0.7.13-ipl8mdk
- rebuild against apt-get cnc51

* Sun Apr 14 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl7mdk
- rebuild against apt-get cnc38

* Tue Feb 20 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl6mdk
- Wrong group fixed

* Mon Feb 19 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl5mdk
- rebuild against apt-get cnc36

* Tue Jan 24 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl4mdk
- Incompabilities between libapt-pkg and aptitude sources fixed

* Tue Jan 22 2001 Alexander Bokovoy <ab@avilink.net> 0.0.7.13-ipl3mdk
- New upstream version
- rebuild with new apt

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 0.0.7.6-ipl2mdk
- Specfile cleanup.

* Sun Dec 02 2000 Alexander Bokovoy <ab@avilink.net>
- MDK RE-fication
- Patch for incorrect class cast under gcc 2.96

* Mon Oct 16 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.6

* Fri Oct 13 2000 Claudio Matsuoka <claudio@conectiva.com>
- new upstream release: 0.0.7.4
- minor RPM cleanups
- specfile fixes

* Thu Oct 12 2000 Claudio Matsuoka <claudio@conectiva.com>
- added missing help file, manpage
- changed /var/state/aptitude to FHS-compliant /var/lib/aptitude

* Tue Oct 10 2000 Claudio Matsuoka <claudio@conectiva.com>
- upgraded to 0.0.7.3
- some RPM cleanup
- package quality: 50-60%

* Mon Oct  2 2000 Claudio Matsuoka <claudio@conectiva.com>
- package created


